Package: groovy.util

## [Java] Enum ObservableList.ChangeType

- groovy.util.ObservableList.ChangeType

-     public enum ObservableList.ChangeType

  Enumerates the specialized list change events.

- - ### Enum Constants Summary

    Enum constants classes
    Enum constant | Description
    --- | ---
    `ADDED` | A single element was added.
    `CLEARED` | The list was cleared.
    `MULTI_ADD` | Multiple elements were added.
    `MULTI_REMOVE` | Multiple elements were removed.
    `NONE` | No specialized change type applies.
    `REMOVED` | A single element was removed.
    `UPDATED` | A single element was updated.

  - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `static Object` | `newValue` | Placeholder new value for aggregated events.
    `static Object` | `oldValue` | Placeholder old value for aggregated events.

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public static ObservableList.ChangeType` | `resolve(int ordinal)` Resolves an enum constant from its ordinal.

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Enum Constant Detail

    - #### ObservableList.ChangeType ADDED

      A single element was added.

    - #### ObservableList.ChangeType CLEARED

      The list was cleared.

    - #### ObservableList.ChangeType MULTI_ADD

      Multiple elements were added.

    - #### ObservableList.ChangeType MULTI_REMOVE

      Multiple elements were removed.

    - #### ObservableList.ChangeType NONE

      No specialized change type applies.

    - #### ObservableList.ChangeType REMOVED

      A single element was removed.

    - #### ObservableList.ChangeType UPDATED

      A single element was updated.

  - ### Field Detail

    - #### public static final Object newValue

      Placeholder new value for aggregated events.

    - #### public static final Object oldValue

      Placeholder old value for aggregated events.

  - ### Method Detail

    - #### public static ObservableList.ChangeType resolve(int ordinal)

      Resolves an enum constant from its ordinal.

      Parameters:
        `ordinal` - the serialized ordinal value
      Returns:
        the matching change type